Bug 452622 - Commit changes does not write to smb.conf
Commit changes does not write to smb.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 01:05 EDT by Glenn
Modified: 2008-07-03 05:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.2.0-2.17.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 05:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn 2008-06-24 01:05:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008052912 Firefox/3.0

Description of problem:
I am able to login to SWAT as root.  When attempting to 'Commit Changes' nothing happens.  Also switch to Advanced view under any category has no effect.

$ ls -l /etc/samba/smb.conf
-rw-r--r-- 1 root root 8427 2008-06-23 22:46 /etc/samba/smb.conf

$ /usr/sbin/swat -V
Version 3.2.0rc1-15.fc9

Version-Release number of selected component (if applicable):
1.rc1.15.fc9

How reproducible:
Always


Steps to Reproduce:
1.Login to SWAT http://localhost:901 as root user
2.Enter anything to any field 
3.Commit Changes

Actual Results:
smb.conf is not changed

Expected Results:


Additional info:
Comment 1 Glenn 2008-06-24 23:58:04 EDT
I erased samba-swat with yum and installed from rpm on rpmfind (same version). 
Still not updating smb.conf

from /etc/xinetd.d/swat
service swat
{
        port            = 901
        socket_type     = stream
        wait            = no
        only_from       = 127.0.0.1
        user            = root
        server          = /usr/sbin/swat
        log_on_failure  += USERID
        disable         = no
}
Comment 2 Guenther Deschner 2008-06-25 07:38:50 EDT
Ok, I see this has been fixed in rc2.
Comment 3 Guenther Deschner 2008-06-25 09:02:14 EDT
Can you try samba-3.2.0-1.rc2.16.fc9 from testing ?
Comment 4 Glenn 2008-06-27 19:59:26 EDT
(In reply to comment #3)
> Can you try samba-3.2.0-1.rc2.16.fc9 from testing ?

I cannot find this version.  All I am able to find is the one for FC10 @
ftp://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/samba-3.2.0-1.rc2.16.fc10.i386.rpm.

# yum update samba --enablerepo=updates-testing Does NOT get RC2

Can you please tell me where to find samba-3.2.0-1.rc2.16.fc9 that you have
stated fixes this problem?
Comment 6 Glenn 2008-06-29 21:06:09 EDT
I can confirm this is fixed in RC2.  Thanks!
Comment 7 Fedora Update System 2008-07-02 04:41:01 EDT
samba-3.2.0-2.17.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-02 23:17:04 EDT
samba-3.2.0-2.17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.